Bug 253800 - Will not obey browser to be used when opening feed/article
Summary: Will not obey browser to be used when opening feed/article
Status: RESOLVED FIXED
Alias: None
Product: plasma4
Classification: Unclassified
Component: widget-rssnow (show other bugs)
Version: unspecified
Platform: openSUSE RPMs Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Rob Scheepmaker
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-10-11 01:32 UTC by The Johnny Person
Modified: 2011-01-13 16:16 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In: 4.5.3


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description The Johnny Person 2010-10-11 01:32:52 UTC
Version:           unspecified (using KDE 4.5.2) 
OS:                Linux

in the kde settings it is possible to specify wheat browser is to be used to open all links.  I have specified Opera and ALL programs follow/adhere to this without problem.  Rssnow insists on opening all rss feeds/articles in Konqueror.  I can find no way to change this in the Rssnow program or in the config file.

Reproducible: Didn't try

Steps to Reproduce:
Just click on any article Rssnow displays to reproduce problem


Expected Results:  
It should have opened the displayed news article in Opera.
Comment 1 Pino Toscano 2010-10-16 22:11:33 UTC
SVN commit 1186535 by pino:

use KToolInvocation::invokeBrowser() if you want to launch a web browser

CCBUG: 253800


 M  +2 -2      scroller.cpp  


WebSVN link: http://websvn.kde.org/?view=rev&revision=1186535
Comment 2 Pino Toscano 2010-10-16 22:11:48 UTC
SVN commit 1186536 by pino:

use KToolInvocation::invokeBrowser() if you want to launch a web browser

BUG: 253800
FIXED-IN: 4.5.3


 M  +2 -2      scroller.cpp  


WebSVN link: http://websvn.kde.org/?view=rev&revision=1186536
Comment 3 foofyfoofer 2010-11-12 14:25:49 UTC
I see this is set to fixed but I'm having the same issue (but they open in chromium). Should I file a new bug? I'm on 4.5.3
Comment 4 Jeffrey 2011-01-13 16:16:14 UTC
I'm also running KDE 4.5.3 and I have this issue; RSSNow wants to use Iceweasel but I have the KDE settings set to specify Firefox (with Firefox's full path).  I agree, does this require a new bug or should this one be reopened?